Subject: [MSEC] [Technical Errata Reported] RFC3830 (2654)

From: RFC Errata System <[email-masked]>
Date: Thu, 2 Dec 2010 01:35:34 -0800 (PST)

The following errata report has been submitted for RFC3830,
"MIKEY: Multimedia Internet KEYing".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=3830&eid=2654

--------------------------------------
Type: Technical
Reported by: wu yongming <[email-masked]>

Section: 6.1

Original Text
-------------
 *  CS ID map info (16 bits): identifies the crypto session(s) for
      which the SA should be created.  The currently defined map type is
      the SRTP-ID (defined in Section 6.1.1).

Corrected Text
--------------
 *  CS ID map info (variable length): identifies the crypto session(s) for
      which the SA should be created.  The currently defined map type is
      the SRTP-ID (defined in Section 6.1.1).

Notes
-----
dear editors,
  I guess this should be an error. After googling, I found at least one extension draft(MIKEY-TICKET) had also recognized the problem.  
  If I have mistaken, I would like to hear your clarification.

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC3830 (draft-ietf-msec-mikey-08)
--------------------------------------
Title               : MIKEY: Multimedia Internet KEYing
Publication Date    : August 2004
Author(s)           : J. Arkko, E. Carrara, F. Lindholm, M. Naslund, K. Norrman
Category            : PROPOSED STANDARD
Source              : Multicast Security
Area                : Security
Stream              : IETF
Verifying Party     : IESG